# SchemaBuilder Class Reference
[Class builders]

Inheritance diagram for SchemaBuilder:
[legend]

List of all members.

## Static Public Member Functions

static | buildTable ($tableName, array $propertyList)
static | buildRelations (MetaClass $class)
static | getHead ()

## Detailed Description

Definition at line 15 of file SchemaBuilder.class.php.

## Member Function Documentation

static SchemaBuilder::buildRelations | ( | MetaClass $ | class | ) | `[static]`

Definition at line 49 of file SchemaBuilder.class.php.

References ForeignChangeAction::cascade(), DBTable::create(), MetaClass::getAllProperties(), MetaClass::getName(), MetaClass::getParent(), MetaClass::getTableName(), MetaRelation::MANY_TO_MANY, MetaRelation::ONE_TO_MANY, and ForeignChangeAction::restrict().

Referenced by MetaConfiguration::buildSchema().

Here is the call graph for this function:

static SchemaBuilder::buildTable | ( | $ | tableName,
|  | array $ | propertyList |
| ) |  |  | `[static]`

Definition at line 17 of file SchemaBuilder.class.php.

References DBTable::create(), and MetaRelation::ONE_TO_ONE.

Referenced by MetaConfiguration::buildSchema().

Here is the call graph for this function:

static SchemaBuilder::getHead | ( |  | ) | `[static]`

Reimplemented from BaseBuilder.

Definition at line 150 of file SchemaBuilder.class.php.

Referenced by MetaConfiguration::buildSchema().

The documentation for this class was generated from the following file:

- meta/builders/SchemaBuilder.class.php